org.apache.jmeter.protocol.mongodb.sampler

## Class MongoScriptSampler

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.samplers.AbstractSampler
    - - org.apache.jmeter.protocol.mongodb.sampler.MongoScriptSampler

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ConfigMergabilityIndicator, Searchable, Sampler, TestBean, TestElement

      public class MongoScriptSampler
      extends AbstractSampler
      implements TestBean

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATABASE`
    `static java.lang.String` | `PASSWORD`
    `static java.lang.String` | `SCRIPT`
    `static java.lang.String` | `SOURCE`
    `static java.lang.String` | `USERNAME`

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoScriptSampler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDatabase()`
    `java.lang.String` | `getPassword()`
    `java.lang.String` | `getScript()`
    `java.lang.String` | `getSource()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getUsername()`
    `SampleResult` | `sample(Entry e)` Obtains statistics about the given Entry, and packages the information into a SampleResult.
    `void` | `setDatabase(java.lang.String database)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setScript(java.lang.String script)`
    `void` | `setSource(java.lang.String source)`
    `void` | `setUsername(java.lang.String username)`

    - ### Methods inherited from class org.apache.jmeter.samplers.AbstractSampler

      `applies`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removed, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

- - ### Field Detail

    - #### SOURCE

          public static final java.lang.String SOURCE

      See Also:
        Constant Field Values

    - #### DATABASE

          public static final java.lang.String DATABASE

      See Also:
        Constant Field Values

    - #### USERNAME

          public static final java.lang.String USERNAME

      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final java.lang.String PASSWORD

      See Also:
        Constant Field Values

    - #### SCRIPT

          public static final java.lang.String SCRIPT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MongoScriptSampler

          public MongoScriptSampler()

  - ### Method Detail

    - #### sample

          public SampleResult sample(Entry e)

      Description copied from interface: `Sampler`
      Obtains statistics about the given Entry, and packages the information into a SampleResult.
      Specified by:
        `sample` in interface `Sampler`
      Parameters:
        `e` - the Entry (TODO seems to be unused)
      Returns:
        information about the sample

    - #### getTitle

          public java.lang.String getTitle()

    - #### getScript

          public java.lang.String getScript()

    - #### setScript

          public void setScript(java.lang.String script)

    - #### getDatabase

          public java.lang.String getDatabase()

    - #### setDatabase

          public void setDatabase(java.lang.String database)

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername(java.lang.String username)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getSource

          public java.lang.String getSource()

    - #### setSource

          public void setSource(java.lang.String source)

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.